Page MenuHomePhabricator

Import throws 503 error on WMF cluster
Closed, ResolvedPublic

Description

Attempt to import any page via transwiki import on any WMF wiki. You will see a 503 error page.

The actual revisions get imported, but the recent changes entry, log entry, and null revision are not generated.

Example on mediawikiwiki just now:

Request: POST http://www.mediawiki.org/w/index.php?title=Special:Import&action=submit, from 10.128.0.117 via cp1053 cp1053 ([10.64.32.105]:3128), Varnish XID 3559523441
Forwarded for: *.*.*.*, 10.128.0.109, 10.128.0.109, 10.128.0.117
Error: 503, Service Unavailable at Sun, 29 Mar 2015 00:52:08 GMT

Event Timeline

TTO created this task.Mar 29 2015, 12:55 AM
TTO raised the priority of this task from to High.
TTO updated the task description. (Show Details)
TTO added a subscriber: TTO.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2015, 12:55 AM
Krenair raised the priority of this task from High to Unbreak Now!.Mar 29 2015, 1:02 AM
Krenair set Security to None.
Krenair added a subscriber: Krenair.

It takes some effect but does not make the appropriate logs? Have put this up to unbreak now

TTO added a comment.Mar 29 2015, 1:11 AM

Working fine on my local MW test installation and on the beta cluster... So it's WMF cluster specific

Do we know when this started?

TTO added a comment.Mar 29 2015, 1:36 AM

It was reported in T42009 on 1628 UTC yesterday... The two pages given there were presumably imported some time before then

Change 200339 had a related patch set uploaded (by TTO):
Add null check in WikiImporter

https://gerrit.wikimedia.org/r/200339

TTO added a comment.EditedMar 29 2015, 9:53 AM

It seems that this is related to https://gerrit.wikimedia.org/r/#/c/195842/ with https://gerrit.wikimedia.org/r/#/c/199819/ possibly being a fix.

In any case this kind of error should never have been causing fatals; it should have been caught by a null check in finishImportPage. See the preceding patch.

FYI: Just produced this error on enwiki while importing the following pages:

[[User:Dan Koehl/Ditmar Koel]];
[[User:Dan Koehl/Alfred Brazier Howell]]

Change 200339 merged by jenkins-bot:
Add null check in WikiImporter

https://gerrit.wikimedia.org/r/200339

Change 200771 had a related patch set uploaded (by TTO):
Add null check in WikiImporter

https://gerrit.wikimedia.org/r/200771

Change 200771 merged by jenkins-bot:
Add null check in WikiImporter

https://gerrit.wikimedia.org/r/200771

Merged in master and 1.25wmf23.

Shall this also be backported to 1.25wmf22 or do we just close this task and wait one more day until we're all on wmf23?

TTO closed this task as Resolved.Apr 1 2015, 11:47 PM
TTO claimed this task.

Fixed.

The issue with imports not being counted in Statistics seems to be fixed as well.

Thanks TTO. The patch has been already tested or do you need someone to test it somewhere?

TTO added a comment.Apr 2 2015, 12:15 AM

I tested on group0 wikis. I don't have admin rights on any group1 wikis (group1 includes Wikivoyage); I suspect the fatal error bug is fixed there, but the page counting bug may not be fixed until the next deployment (Tuesday 7 April).

Hi TTO,

I've tested it and it works:
See here

It gives no longer the error message; Nevertheless, still remains the issue related with the article counter. After the importation it has remained unchanged.

TTO added a comment.Apr 5 2015, 9:10 AM

@Nastoshka Try again on Tuesday after 20:00 UTC. If the page counting bug is not fixed by then, please open a new Phabricator task and assign it to me.

Ok, thanks TTO.

@TTO seems to be fixed now: Both the log and the counter update. Thanks a lot!

PS: Is it normal that Special:NewPages, insted, doesn't update (doesn't show the new imported pages)?

TTO added a comment.Apr 16 2015, 1:08 PM

PS: Is it normal that Special:NewPages, insted, doesn't update (doesn't show the new imported pages)?

I think it is normal. NewPages is essentially a filtered display of RecentChanges entries marked with the "N" (new) flag. The initial revision of an imported page isn't placed into RecentChanges, so it will not be marked with a flag and will not appear in NewPages.

If you'd like imported pages to be shown in NewPages, by all means file a new task. It's a very reasonable suggestion.

TTO, I've just tried to import a module, and I've experienced a strange behaviour. The imported page were treated (in visualization) as a normal wikipage, while editing it was ok.
Because of this, it doesn't show the header sentence "La documentazione per questo modulo può essere creata in Modulo:No globals/man" that allow an easy access to the documentation.
To restore the correct visualization I've deleted the page and I've created it again trhough a copy and paste. This time everything was fine.
Could you check it?

PS Let me know if you want me to recreate that scenario.

TTO added a comment.Jun 2 2015, 2:33 PM

TTO, I've just tried to import a module, and I've experienced a strange behaviour. The imported page were treated (in visualization) as a normal wikipage, while editing it was ok.
Because of this, it doesn't show the header sentence "La documentazione per questo modulo può essere creata in Modulo:No globals/man" that allow an easy access to the documentation.
To restore the correct visualization I've deleted the page and I've created it again trhough a copy and paste. This time everything was fine.
Could you check it?
PS Let me know if you want me to recreate that scenario.

Apparently it was getting imported with the wrong content model. If this is still happening, please open in a new bug. (Or try to see if it is already filed somewhere, but the search here is terrible.)